#

API Docs for: 0.6.0
Show: Inherited Protected Private Deprecated

# ContactMaterial Class

Defined in: `src/material/ContactMaterial.js:5`

Defines what happens when two materials meet.

## Constructor

### `ContactMaterial`

(

- `m1`
- `m2`
- `friction`
- `restitution`

)

Defined in `src/material/ContactMaterial.js:5`

#### Parameters:

- `m1` Material
- `m2` Material
- `friction` Number
- `restitution` Number

- Index
- Properties

## Item Index

### Properties

- contactEquationRelaxation
- contactEquationStiffness
- friction
- frictionEquationRelaxation
- frictionEquationStiffness
- id
- materials
- restitution

## Properties

### `contactEquationRelaxation`

Number

Defined in `src/material/ContactMaterial.js:55`

Relaxation time of the produced contact equations

### `contactEquationStiffness`

Number

Defined in `src/material/ContactMaterial.js:49`

Stiffness of the produced contact equations

### `friction`

Number

Defined in `src/material/ContactMaterial.js:37`

Friction coefficient

### `frictionEquationRelaxation`

Number

Defined in `src/material/ContactMaterial.js:67`

Relaxation time of the produced friction equations

### `frictionEquationStiffness`

Number

Defined in `src/material/ContactMaterial.js:61`

Stiffness of the produced friction equations

### `id`

Number

Defined in `src/material/ContactMaterial.js:24`

Identifier of this material

### `materials`

Array

Defined in `src/material/ContactMaterial.js:30`

Participating materials

### `restitution`

Number

Defined in `src/material/ContactMaterial.js:43`

Restitution coefficient